List traces
GET/telemetry/traces
Returns a paginated list of traces filtered by time range and service.
Attribute Filtering: Use prefix-based query parameters to filter by span and resource attributes:
span_attr_<key>=<value>- Filter by span attribute (e.g.,span_attr_http.method=GET)resource_attr_<key>=<value>- Filter by resource attribute (e.g.,resource_attr_service.version=1.0.0)
Operator Suffixes:
- Default (no suffix): Equality matching (
span_attr_key=valuematches where key == value) [ne]suffix with empty value: "Not empty" filter (span_attr_key[ne]=matches where key is not empty)
Example: ?span_attr_gen_ai.request.model[ne]= filters for traces that have any gen_ai.request.model value.
Multiple Values:
Multiple values for the same key use OR matching:
?span_attr_http.method=GET&span_attr_http.method=POST matches traces where method is GET OR POST.
Multiple different keys use AND matching:
?span_attr_http.method=GET&span_attr_http.status_code=200 matches traces where method is GET AND status_code is 200.
Request
Responses
- 200
- 400
- 500
List of LLM traces
Invalid request parameters
Internal server error
Was this page helpful?